Buffering mp3 on samba share takes long time

February 26, 2020 19:32 - Jeroen Steenhuis
Target version:    

Affects version: 4.0   

Description

I didn't have this issue before but when opening an MP3 file from a samba share it takes a long time to buffer.

Copying the MP3's to local is fast en when opening local MP3's no buffering delay is experienced.

When playing a FLAC file from same share also no buffering delay is experienced.

Also on launcpad this is a mentioned item: https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1044923

Feb 26 20:29:37 INFO probe.cc:89 [aud_file_find_decoder]: Probing

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3.

Feb 26 20:29:37 INFO probe.cc:115 [aud_file_find_decoder]: Matched MPG123 Plugin by extension.

Feb 26 20:29:37 INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/local/lib/audacious/Input/madplug.so.

Feb 26 20:29:37 INFO probe.cc:89 [aud_file_find_decoder]: Probing

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3.

Feb 26 20:29:37 INFO probe.cc:115 [aud_file_find_decoder]: Matched MPG123 Plugin by extension.

Feb 26 20:29:38 INFO probe-buffer.cc:30 [ProbeBuffer]: <0x7fe46c0021c0> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO vfs.cc:105 [VFSFile]: <0x7fe46c0021c0> open (mode r)

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO probe-buffer.cc:30 [ProbeBuffer]: <0x7fe448001620> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO vfs.cc:105 [VFSFile]: <0x7fe448001620> open (mode r)

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO probe-buffer.cc:50 [release_buffer]: <0x7fe448001620> buffering disabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO probe-buffer.cc:135 [fseek]: <0x7fe448001620> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO probe-buffer.cc:50 [release_buffer]: <0x7fe46c0021c0> buffering disabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:38 INFO probe-buffer.cc:135 [fseek]: <0x7fe46c0021c0> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:55 INFO probe-buffer.cc:50 [release_buffer]: <0x7fe46c0021c0> buffering disabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:55 INFO probe-buffer.cc:135 [fseek]: <0x7fe46c0021c0> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/70%27s/Alexander%20Curly%20-%20Guus.mp

3

Feb 26 20:29:55 INFO output.cc:271 [setup_output]: Setup output, format 0, 2 channels, 44100 Hz.
History

#1 - February 26, 2020 19:34 - Jeroen Steenhuis

Also tested on 3.9, 4.0 beta 1 and master

#2 - February 26, 2020 19:35 - Jeroen Steenhuis

Here is the log for a flac file (no buffer delays):

Feb 26 20:34:31 INFO probe.cc:89 [aud_file_find_decoder]: Probing

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac.

Feb 26 20:34:31 INFO probe.cc:115 [aud_file_find_decoder]: Matched FLAC Decoder by extension.

Feb 26 20:34:31 INFO probe-buffer.cc:30 [ProbeBuffer]: <0x7fe448005bd0> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO vfs.cc:105 [VFSFile]: <0x7fe448005bd0> open (mode r)

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO probe-buffer.cc:50 [release_buffer]: <0x7fe448005bd0> buffering disabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO probe-buffer.cc:30 [ProbeBuffer]: <0x7fe46c0021c0> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO vfs.cc:105 [VFSFile]: <0x7fe46c0021c0> open (mode r)

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO probe-buffer.cc:50 [release_buffer]: <0x7fe46c0021c0> buffering disabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO probe-buffer.cc:135 [fseek]: <0x7fe46c0021c0> buffering enabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO probe-buffer.cc:50 [release_buffer]: <0x7fe46c0021c0> buffering disabled for

file:///run/user/1000/gvfs/smb-share%3Aserver%3Dserver.local%2Cshare%3Daudio/Favorites/The%20Doors%20-%20L.A.%20Woman/The%20Door

s%20-%2010.%20Riders%20on%20the%20Storm.flac

Feb 26 20:34:31 INFO output.cc:271 [setup_output]: Setup output, format 0, 2 channels, 48000 Hz.

Feb 26 20:34:31 INFO output.cc:576 [output_set_replay_gain]: Replay Gain info:

Feb 26 20:34:31 INFO output.cc:577 [output_set_replay_gain]:  album gain: -2,260000 dB

Feb 26 20:34:31 INFO output.cc:578 [output_set_replay_gain]:  album peak: 0,972977

Feb 26 20:34:31 INFO output.cc:579 [output_set_replay_gain]:  track gain: 0,430000 dB

Feb 26 20:34:31 INFO output.cc:580 [output_set_replay_gain]:  track peak: 0,977000

Feb 26 20:34:33 INFO playlist-files.cc:133 [save_to_file]: Saving playlist file:///home/jeroen/.config/audacious/playlists/1000.audpl.

Feb 26 20:34:33 INFO vfs.cc:105 [VFSFile]: <0x5564f27355e0> open (mode w) file:///home/jeroen/.config/audacious/playlists/1000.audpl

Feb 26 20:34:33 INFO probe-buffer.cc:30 [ProbeBuffer]: <0x5564f22b1a90> buffering enabled for /home/jeroen/.config/audacious/playlists/order

Feb 26 20:34:33 INFO vfs.cc:105 [VFSFile]: <0x5564f22b1a90> open (mode r) /home/jeroen/.config/audacious/playlists/order
#3 - February 26, 2020 19:42 - Jeroen Steenhuis

when playing same files mounted via sftp also no buffer delay is experienced

#4 - February 26, 2020 19:45 - Jeroen Steenhuis

when mounting same samba share with mount.cifs also no delay is experienced

#5 - February 26, 2020 19:48 - Jeroen Steenhuis

if playing from mountpoint of Linux Mint, /run/user/1000/gvfs/smb-share:server=server.local,share=audio, the buffer delay occurs again

#6 - February 26, 2020 19:50 - Jeroen Steenhuis

it has something to do with the amount of files in a folder, more files causes longer buffer delays, even when the files are not added to the playlist in

audacious

#7 - February 26, 2020 19:53 - Jeroen Steenhuis

When copying an MP3 file to a folder with few other files the delay is indeed gone, when playing the mp3 from the original folder containing many files

buffering is slow again.

#8 - February 26, 2020 19:58 - Jeroen Steenhuis

The same problem occurs with flac files when there are many (audio?) files in the same folder as the flac file.

#9 - February 26, 2020 19:58 - Jeroen Steenhuis

But only using the gvfs share

#10 - February 29, 2020 14:22 - John Lindgren

- Tracker changed from Bug to Support

#11 - February 29, 2020 14:22 - John Lindgren

- Target version deleted (4.0)

- Category deleted (libaudcore)

#12 - February 29, 2020 14:24 - John Lindgren

- Status changed from New to Closed

Based on the information you've given, this sounds like a GVFS problem.  Let us know if you find a solution.  Closing.

#13 - February 29, 2020 18:12 - Jeroen Steenhuis

But what is audacious doing with all the other files in the folder?

It only becomes slow when a lot of files are in the remote folder.

So it is a gvfs problem but obviously audacious is doing something strange and unnecessary jobs.

#14 - February 29, 2020 19:21 - John Lindgren

Jeroen Steenhuis wrote:

But what is audacious doing with all the other files in the folder?
Audacious itself?  Nothing.  The GVFS layer?  Your guess is as good as mine.  Let us know what you find out.

Edit: It's possible that the album art search is slowing things down.  You can see if this helps:

https://github.com/audacious-media-player/audacious/commit/f3de214ed51c1534e901f1eac34432eb1337b84b

#15 - March 02, 2020 22:05 - Jeroen Steenhuis

I will have a look, meanwhile I found the issue on the gnome bug tracker:

https://gitlab.gnome.org/GNOME/gvfs/issues/292
